<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
const props = defineProps<{
    icon: string,
    label: string,
    color?: string,
}>();

const emits = defineEmits<{
    (e: 'click' ):void
}>();

const clickHandler = ()=>{
    emits('click');
}
</script>
<template>
<div>
    <button class="hover:bg-gray-100 w-full text-left px-2 py-1 rounded-md" @click="clickHandler">
        <i :class="[`ri-${icon}-line ri-lg`,color]"></i>
        <span class="ml-2">{{label}}</span>
    </button>
</div>
</template>